Page MenuHomePhabricator

pytest_attrib in dev-requirements.txt doesnt install, breaking Travis and Appveyor CI
Closed, ResolvedPublic

Event Timeline

jayvdb created this task.May 24 2016, 10:26 AM
Restricted Application added subscribers: pywikibot-bugs-list, Zppix, Aklapper. · View Herald TranscriptMay 24 2016, 10:26 AM

This should now be fixed upstream.

Here is the pywikibot-core travis build where it works https://travis-ci.org/AbdealiJK/pywikibot-core/builds/132529623

I've tested it on pytest-attrib's appveyor - https://ci.appveyor.com/project/AbdealiJK/pytest-attrib/build/1.0.22

Yup; this works; the minimum version in dev-requirements.txt should be updated, and then we are done

May as well also update tox.ini and .travis.yml to use --attr / --eval-attr for nose and pytest in the same update, as that will also require a different minimum version of pytest-attrib

Dalba triaged this task as Lowest priority.Sep 15 2017, 4:22 AM

Is this still an issue?
I thought the latest version fixed it according to the github comments

Dalba added a subscriber: Dalba.Sep 15 2017, 4:31 AM

Right now all Appveyor tests are passing. I only kept this task open because of @jayvdb's last comments about changing the minimum version requirement.

Change 447116 had a related patch set uploaded (by Dalba; owner: dalba):
[pywikibot/core@master] dev-requirements.txt: pytest-attrib>=0.1.3 is required

https://gerrit.wikimedia.org/r/447116

Change 447116 merged by jenkins-bot:
[pywikibot/core@master] dev-requirements.txt: Require pytest-attrib>=0.1.3

https://gerrit.wikimedia.org/r/447116

Dalba closed this task as Resolved.Jul 21 2018, 9:28 AM